Reply To: LT + v3.0 for hitachi 59 will not be?

HomeForumsGeneral DiscussionLT + v3.0 for hitachi 59 will not be?Reply To: LT + v3.0 for hitachi 59 will not be?

Author Replies
QuickMythril # Posted on 2011-12-08 at 04:59AM UTC
avatar

i don’t think you would need it. hitachi 59 doesn’t do ap2.5 checks, so LT 3.0 would be a little pointless.